Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Service_Handler Class Reference

This base class defines the interface for the ACE_Asynch_Acceptor to call into when new connection are accepted. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Service_Handler:

[legend]
Collaboration diagram for ACE_Service_Handler:

[legend]
List of all members.

## Public Methods
| ACE_Service_Handler (void)
| A do nothing constructor. More...
virtual | ~ACE_Service_Handler (void)
| Virtual destruction. More...
virtual void | open (ACE_HANDLE new_handle, ACE_Message_Block &message_block)
| <open> is called by ACE_Asynch_Acceptor to initialize a new instance of ACE_Service_Handler that has been created after the new connection is accepted. More...
virtual void | addresses (const ACE_INET_Addr &remote_address, const ACE_INET_Addr &local_address)
| Called by ACE_Asynch_Acceptor to pass the addresses of the new connections. More...
virtual void | act (const void *)
| Called by ACE_Asynch_Acceptor to pass the act. More...
## Friends
class | ACE_Asynch_Acceptor< ACE_Service_Handler >
| The Acceptor is the factory and therefore should have special privileges. More...

## Detailed Description

This base class defines the interface for the ACE_Asynch_Acceptor to call into when new connection are accepted.

Subclasses of this class will fill in appropriate methods to define application specific behavior.

## Constructor & Destructor Documentation

ACE_Service_Handler::ACE_Service_Handler | ( | void |  | ) |

| A do nothing constructor.

ACE_Service_Handler::~ACE_Service_Handler | ( | void |  | ) | `[virtual]`

| Virtual destruction.

## Member Function Documentation

void ACE_Service_Handler::act | ( | const void * |  | ) | `[virtual]`

| Called by ACE_Asynch_Acceptor to pass the act.

void ACE_Service_Handler::addresses | ( | const ACE_INET_Addr & | remote_address,
|  | const ACE_INET_Addr & | local_address
| ) | `[virtual]`

| Called by ACE_Asynch_Acceptor to pass the addresses of the new connections.

void ACE_Service_Handler::open | ( | ACE_HANDLE | new_handle,
|  | ACE_Message_Block & | message_block
| ) | `[virtual]`

| <open> is called by ACE_Asynch_Acceptor to initialize a new instance of ACE_Service_Handler that has been created after the new connection is accepted. The handle for the new connection is passed along with the initial data that may have shown up.

## Friends And Related Function Documentation

friend class ACE_Asynch_Acceptor< ACE_Service_Handler >`[friend]`

| The Acceptor is the factory and therefore should have special privileges.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp